<back to all web services

GetSyncInfo

The following routes are available for this service:
GET/RestApi/translations/syncinfo
Imports System
Imports System.IO
Imports System.Collections
Imports System.Collections.Generic
Imports System.Runtime.Serialization
Imports ServiceStack
Imports ServiceStack.DataAnnotations
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Request
Imports Telerik.Sitefinity.Translations.Web.Services.Dto.Response

Namespace Global

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Request

        Public Partial Class GetSyncInfo
        End Class
    End Namespace

    Namespace Telerik.Sitefinity.Translations.Web.Services.Dto.Response

        Public Partial Class SyncInfoProxy
            Public Overridable Property NextSyncDate As Date
        End Class
    End Namespace
End Namespace

VB.NET GetSyncInfo DTOs

To override the Content-type in your clients, use the HTTP Accept Header, append the .csv suffix or ?format=csv

HTTP + CSV

The following are sample HTTP requests and responses. The placeholders shown need to be replaced with actual values.

GET /RestApi/translations/syncinfo HTTP/1.1 
Host: www.imglobal.com 
Accept: text/csv
HTTP/1.1 200 OK
Content-Type: text/csv
Content-Length: length

{"NextSyncDate":"\/Date(-62135596800000-0000)\/"}